package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.MAmVideoCoordinateOperationLog;
import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * @className: MAmVideoCoordinateOperationLogMapper
 * @description: TODO 类描述 
 * @author: Mr.Yanghongtao
 * @date: 2023/04/28 17:26
 * @Company: Copyright© [2023/04/28 17:26] by [Mr.Yanghongtao]
 **/
public interface MAmVideoCoordinateOperationLogMapper extends BaseMapper<MAmVideoCoordinateOperationLog> {
    int deleteByPrimaryKey(String logId);

    int insert(MAmVideoCoordinateOperationLog record);

    int insertOrUpdate(MAmVideoCoordinateOperationLog record);

    int insertOrUpdateSelective(MAmVideoCoordinateOperationLog record);

    int insertSelective(MAmVideoCoordinateOperationLog record);

    MAmVideoCoordinateOperationLog selectByPrimaryKey(String logId);

    int updateByPrimaryKeySelective(MAmVideoCoordinateOperationLog record);

    int updateByPrimaryKey(MAmVideoCoordinateOperationLog record);

    int updateBatch(List<MAmVideoCoordinateOperationLog> list);

    int updateBatchSelective(List<MAmVideoCoordinateOperationLog> list);

    int batchInsert(@Param("list") List<MAmVideoCoordinateOperationLog> list);
}